Announcement Announcement Module
Collapse
No announcement yet.
Phasing Error in upgreding to spring 3.1 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Phasing Error in upgreding to spring 3.1

    Hi ,

    I want to update my project from spring 2.x to spring 3.1
    I have remove spring 2.5 jars and put 3.0 jars . I am using struts 2.0 and spring .
    on starting my server I am getting Error

    Caused by: java.lang.ClassNotFoundException: org.springframework.expression.PropertyAccessor

    IN spring 3 .1 jar I found PropertyAccessor class is there in
    org.springframework.beans-3.1.0.RC1.jar

    I have already included this jar . I am not getting from where this Error is comming ? and how to solve it .

  • #2
    If you are upgrading to 3.1 why are you including 3.0 jars?! Also I suggest you take a look again there is also a Property Accessor in the spring-expression jar (which is the one that is missing not the one from the beans jar).

    Comment


    • #3
      Errors Springs 3.1

      Originally posted by Marten Deinum View Post
      If you are upgrading to 3.1 why are you including 3.0 jars?! Also I suggest you take a look again there is also a Property Accessor in the spring-expression jar (which is the one that is missing not the one from the beans jar).
      Thanks for reply MY this problem got resolved .
      Now I am getting some more Error I am using struts 2.0 in my project I got the Error

      Caused by: Cannot locate the chosen ObjectFactory implementation: spring - [unknown location]

      Got solution of this I Have deleted struts-spring plug in jar that's why I was phasing this Error . Now my application is compiling I am able to update from spring 2.5 to 3.1 spring version in 2 days . now I will update spring acgi security to Spring security
      Last edited by riteshfss; Dec 6th, 2011, 12:21 AM. Reason: got the solution

      Comment


      • #4
        Getting Error while updatigng to spring security

        Originally posted by riteshfss View Post
        Thanks for reply MY this problem got resolved .
        Now I am getting some more Error I am using struts 2.0 in my project I got the Error

        Caused by: Cannot locate the chosen ObjectFactory implementation: spring - [unknown location]

        Got solution of this I Have deleted struts-spring plug in jar that's why I was phasing this Error . Now my application is compiling I am able to update from spring 2.5 to 3.1 spring version in 2 days . now I will update spring acgi security to Spring security

        Hi If I am removing applicationContext-acegi-security.xml file used for Spring-acgi -security 1.5 I am getting Error

        Failed to convert property value of type 'java.lang.String' to required type 'int' for property 'priority'; nested exception is java.lang.NumberFormatException: For input string: "${email.priority}"

        Because My application context now not getting values from properties file why it Happen Any Idea ?
        please Let me know the solution of it tif you know

        Comment


        • #5
          Originally posted by riteshfss View Post
          Hi ,

          I want to update my project from spring 2.x to spring 3.1
          I have remove spring 2.5 jars and put 3.0 jars . I am using struts 2.0 and spring .
          on starting my server I am getting Error

          Caused by: java.lang.ClassNotFoundException: org.springframework.expression.PropertyAccessor

          IN spring 3 .1 jar I found PropertyAccessor class is there in
          org.springframework.beans-3.1.0.RC1.jar

          I have already included this jar . I am not getting from where this Error is comming ? and how to solve it .
          I hope this blog will help you http://blog.springsource.org/2011/10...l-suite-2-8-0/

          Comment

          Working...
          X